TICKIT_WINDOW_GET_TERM(3)

NAME
tickit_window_get_term - query the backing terminal of a window

SYNOPSIS
    #include <tickit.h>

    TickitTerm *tickit_window_get_term(const TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_get_term() returns the backing terminal underlying a given window. This is the terminal instance that the window's root window was originally created using.

RETURN VALUE
tickit_window_get_term() returns a pointer to a terminal instance.

SEE ALSO
tickit_window_new_root(3), tickit_window_root(3), tickit_window(7), tickit(7)